# Default values for openslice.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

replicaCount: 1

image:
  artemis:
    repository: apache/activemq-artemis
    pullPolicy: Always
    # Overrides the image tag whose default is the chart appVersion.
    tag: "2.30.0"
  blockdiag:
    repository: yuzutech/kroki-blockdiag
    pullPolicy: Always
    # Overrides the image tag whose default is the chart appVersion.
    tag: "0.18.0"
  bugzilla:
    repository: labs.etsi.org:5050/osl/code/org.etsi.osl.bugzilla
    pullPolicy: Always
    # Overrides the image tag whose default is the chart appVersion.
    tag: "develop"
  centrallog:
    repository: labs.etsi.org:5050/osl/code/org.etsi.osl.centrallog.service
    pullPolicy: Always
    # Overrides the image tag whose default is the chart appVersion.
    tag: "develop"
  keycloak:
    repository: quay.io/keycloak/keycloak
    pullPolicy: Always
    # Overrides the image tag whose default is the chart appVersion.
    tag: "16.1.1"
  kroki:
    repository: yuzutech/kroki
    pullPolicy: Always
    # Overrides the image tag whose default is the chart appVersion.
    tag: "0.18.0"
  manoclient:
    repository: labs.etsi.org:5050/osl/code/org.etsi.osl.mano
    pullPolicy: Always
    # Overrides the image tag whose default is the chart appVersion.
    tag: "develop"
  osom:
    repository: labs.etsi.org:5050/osl/code/org.etsi.osl.osom
    pullPolicy: Always
    # Overrides the image tag whose default is the chart appVersion.
    tag: "develop"
  portalapi:
    repository: labs.etsi.org:5050/osl/code/org.etsi.osl.portal.api
    pullPolicy: Always
    # Overrides the image tag whose default is the chart appVersion.
    tag: "develop"
  osscapi:
    repository: labs.etsi.org:5050/osl/code/org.etsi.osl.tmf.api
    pullPolicy: Always
    # Overrides the image tag whose default is the chart appVersion.
    tag: "develop"
  mysql:
    repository: mysql
    pullPolicy: Always
    # Overrides the image tag whose default is the chart appVersion.
    tag: "5.7.43"
  oasapi:
    repository: labs.etsi.org:5050/osl/code/org.etsi.osl.oas
    pullPolicy: Always
    # Overrides the image tag whose default is the chart appVersion.
    tag: "develop"
  portalweb:
    repository: labs.etsi.org:5050/osl/code/org.etsi.osl.portal.web
    pullPolicy: Always
    # Overrides the image tag whose default is the chart appVersion.
    tag: "develop"
  tmfweb:
    repository: labs.etsi.org:5050/osl/code/org.etsi.osl.tmf.web
    pullPolicy: Always
    # Overrides the image tag whose default is the chart appVersion.
    tag: "develop"
  cridge:
    repository: labs.etsi.org:5050/osl/code/org.etsi.osl.cridge
    pullPolicy: Always
    # Overrides the image tag whose default is the chart appVersion.
    tag: "develop"

bugzillaurl: example.com:443/bugzilla
bugzillakey: VH2Vw0iI5aYgALFFzVDWqhACwt6Hu3bXla9kSC1Z
main_operations_product: My Operations
centrallogurl: http://elk_ip:elk_port/index_name/_doc
rooturl: ~ # This is the ingress LB IP or domain - ex. http://openslice.com:port or http://3.15.198.35:8080

oscreds:
  activemq:
    user: artemis
    password: artemis
  mysql:
    username: root
    password: letmein
    openslicedb: osdb
    keycloak: 
      database: keycloak
      username: keycloak
      password: password
      adminpassword: Pa55w0rd
    portal:
      database: osdb
      username: portaluser
      password: 12345

spring:
  oauthClientSecret: secret

mysql:
  storage: 10Gi
  
cridge:
  enabled: true
  logLevel: INFO
  spring:
    loglevel: INFO
  kubeconfig:
    base64: ""   # Provide base64-encoded kubeconfig here if available
    raw: ""      # Provide raw kubeconfig here if available

portalapi:
  logLevel: INFO
  spring:
    loglevel: INFO

manoclient:
  spring:
    loglevel: INFO

oasapi:
  spring:
    loglevel: INFO

osom:
  spring:
    loglevel: INFO
    datasource:
      url: "jdbc:h2:/tmp/tempdb;DB_CLOSE_DELAY=-1"

osscapi:
  spring:
    loglevel: INFO

# Storage class to be used for provisioning. Default is manual
# storageClass: ~

hostNetwork: false

imagePullSecrets: []
nameOverride: ""
fullnameOverride: ""

serviceAccount:
  # Specifies whether a service account should be created
  create: true
  # Annotations to add to the service account
  annotations: {}
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  name: ""

podAnnotations: {}

podSecurityContext: {}
  # fsGroup: 2000

securityContext: {}
  # capabilities:
  #   drop:
  #   - ALL
  # readOnlyRootFilesystem: true
  # runAsNonRoot: true
  # runAsUser: 1000

service:
  type: ClusterIP
  port: 80

ingress:
  paths:
  - path: "/tmf-api"
    service: "osscapi"
    port: 13082
  - path: "/oas-api"
    service: "oasapi"
    port: 13101
  - path: "/auth"
    service: "keycloak"
    port: 8080
  - path: "/kroki/(.*)"
    service: "kroki"
    port: 8000
  - path: "/osapi"
    service: "osportalapi"
    port: 13000
  - path: "/nfvportal"
    service: "portalweb"
    port: 80
  - path: "/"
    service: "tmfweb"
    port: 80
  annotations: {}


  tls: []
  #  - secretName: chart-example-tls
  #    hosts:
  #      - chart-example.local

resources: {}
  # We usually recommend not to specify default resources and to leave this as a conscious
  # choice for the user. This also increases chances charts run on environments with little
  # resources, such as Minikube. If you do want to specify resources, uncomment the following
  # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
  # limits:
  #   cpu: 100m
  #   memory: 128Mi
  # requests:
  #   cpu: 100m
  #   memory: 128Mi

autoscaling:
  enabled: false
  minReplicas: 1
  maxReplicas: 100
  targetCPUUtilizationPercentage: 80
  targetMemoryUtilizationPercentage: 80

nodeSelector: {}

tolerations: []

affinity: {}
